///////
   //
   //    HtDefault.cc
   //
   //    default values for ht://Check
   //
   //    Copyright (c) 1999-2004 Comune di Prato - Prato - Italy
   //    Author: Gabriele Bartolini - Prato - Italy <angusgb@users.sourceforge.net>
   //
   //    For copyright details, see the file COPYING in your distribution
   //    or the GNU General Public License version 2 or later 
   //    <http://www.gnu.org/copyleft/gpl.html>
   //
   //    $Id: HtDefaults.cc,v 1.30 2003/12/30 09:38:47 angusgb Exp $
   //
///////
   
#if RELEASE
static char RCSid[] = "$Id: HtDefaults.cc,v 1.30 2003/12/30 09:38:47 angusgb Exp $";
#endif

#ifdef HAVE_CONFIG_H
#include "htconfig.h"
#endif /* HAVE_CONFIG_H */

#include "Configuration.h"

ConfigDefaults	defaults[] =
{
	{ "accept_language", "" },
	{ "authorization", "" },
	{ "available_charsets", "windows-1250 iso-8859-1 iso-8859-10 iso-8859-13 iso-8859-14 iso-8859-15 iso-8859-2 iso-8859-3 iso-8859-4 iso-8859-5 iso-8859-6 iso-8859-7 iso-8859-8 iso-8859-9 koi8-r koi8-u utf-8 windows-1251 windows-1252 windows-1253 windows-1254 windows-1255 windows-1256 windows-1257 windows-1258 windows-874" },
	{ "bad_extensions", "" },
	{ "bad_querystr", "" },
	{ "check_external", "true" },
	{ "cookies_input_file", "" },
	{ "db_name", DB_NAME},
	{ "db_name_prepend", DB_NAME_PREPEND},
	{ "disable_cookies", "false" },
	{ "exclude_urls", "" },
	{ "head_before_get", "false" },
	{ "http_proxy", "" },
	{ "http_proxy_authorization", "" },
	{ "http_proxy_exclude", "" },
	{ "limit_normalized", "" },
	{ "limit_urls_to", "${start_url}" },
	{ "max_doc_size", "100000" },
	{ "max_hop_count", "999999" },
	{ "max_retries", "3" },
	{ "mysql_conf_file_prefix", "my" },
	{ "mysql_conf_group", "client" },
	{ "optimize_db", "false" },
	{ "persistent_connections", "true" },
	{ "remove_default_doc", "" },
	{ "sql_big_table_option", "true" },
	{ "start_url", "http://htcheck.sourceforge.net/" },
	{ "store_link_info", "true" },
	{ "store_only_links", "true" },
	{ "store_url_contents", "false" },
	{ "summary_anchor_not_found", "true" },
	{ "tcp_max_retries", "1" },
	{ "tcp_wait_time", "5" },
	{ "timeout", "30" },
	{ "url_index_length", "64" },
	{ "url_reserved_chars", ";/?:@&=+$,._%-#x~" },
	{ "user_agent", "ht://check" },
	{0, 0} // The last one
};

Configuration	config;
