<?php

//    include/de.inc.php
//    German sentences and messages
//
//    Part of the ht://Check package
//
//    Copyright (c) 1999-2004 Comune di Prato - Prato - Italy
//    Author: Gabriele Bartolini - Prato - Italy <angusgb@users.sourceforge.net>
//    Provided by: Stenitzer Michael <stenitzer@eva.ac.at>
//
//    For copyright details, see the file COPYING in your distribution
//    or the GNU General Public License version 2 or later 
//    <http://www.gnu.org/copyleft/gpl.html>
//
//    $Id: de.inc.php,v 1.21 2004/01/12 08:55:55 angusgb Exp $

if ( defined( '__GERMAN_INC' ) ) return;
define( '__GERMAN_INC', 1 );

/* Main Page */
$strMainPage   =  "Main Page";
$strNumDBs     =  "\$numdbs; ht://Check Databank/en wurde/n am ausgew&auml;hlten Host gefunden.";
$strNoDBs      =  "Sorry. Es wurden keine ht://Check Datenbanken am ausgew&uml;hlten Host gefunden.";
$strChooseaDB  =  "W&auml;hlen Sie die gew&uuml;nschte ht://Check Datenbank";
$strSelectaDB  =  "W&auml;hlen Sie eine Datenbank";

/* Main page of a database */

$strDBSelected =  "Datenbank '<strong>\$dbname;</strong>' gew&auml;hlt";
$strGeneralInfo   = "Allgemeine Informationen";
$strServersEncountered  =  "Anzahl der gefundenen Server";
$strScheduledURLS =  "Gefundene URLS (&uuml;berpr&uuml;fte und verworfene)";
$strRetrievedURLS =  "Geladene URLS";
$strHTMLStatements   =  "HTML Elemente";
$strHTMLAttributes   =  "HTML Attribute";
$strLinks      =  "Links";
$strShowListUrls        =  "Vollst&auml;ndige Liste der URLs anzeigen";
$strShowListUrlsSeen    =  "Liste der URLs die &uuml;berpr&uuml;ft wurden";
$strShowNotFoundUrls    =  "Liste der nicht gefundenen URLs (Status Code 404)";
$strShowListLinks       =  "Liste der &uuml;berpr&uuml;ften Links anzeigen";
$strShowListUrlsFltr    =  "Liste der geladenen URLs anzeigen (mit Filter)";

$strHTTPRequestsResults    =  "Zusammenfassung der Ergebnisse der HTTP Requests";
$strServersSeenOrdIDServer =  "Zusammenfassung der HTTP Server die gefunden wurden (in der Reihenfolge der Abfrage)";
$strConnectionResults      =  "Zusammenfassung der Ergebnisse der Verbindungen";
$strContentTypeResults     =  "Zusammenfassung der gefundenen Content-Types";
$strCookiesReport     =  "Zusammenfassung der gefundenen 'cookies'";
$strUser    =  "MySQL User";
$strStartTime  = "Start";
$strEndTime  = "Ende";

/* Sections */
$strListofUrls =  "Liste der geladenen Urls";
$strListofAllUrls =  "Liste der geladenen und nicht geladenen Urls";
$strListofLinks =  "Liste der Links";
$strShowUrl    =  "URL info";
$strShowLink   =  "Link info";
$strShowUrlSource    =  "URL Quelltext";
$strDBHome =  "'<strong>\$dbname;</strong>' Home Page";
$strDBDeletion =  "Datenbank l&ouml;schen";
$strDBDeleted  =  "Datenbank '<strong>\$dbname;</strong>' gel&ouml;scht";

/* General */

$strUrl              =  "URL";
$strRequests         =  "Requests";
$strProtocol         =  "Protokoll";
$strConnectionStatus =  "Verbindungsstatus";
$strContentType      =  "Content type";
$strCharset          =  "Charset";
$strDoctype          =  "Doctype";
$strContentLanguage  =  "Content language";
$strTransferEncoding =  "Transfer Encoding";
$strStatusCode       =  "Status Code";
$strReasonPhrase     =  "Beschreibung";
$strNumber           =  "Nummer";
$strNoOccurrencies   =  "Kein Eintrag gefunden";
$strWebServerInfo    =  "Webserver Info";
$strLastModified     =  "Zeit der letzten Aktualisierung";
$strNoLastModified   =  "nicht verf&uuml;gbar";
$strLastAccess       =  "Zeit des letzten Zugriffs";
$strNoLastAccess     =  "nicht verf&uuml;gbar";
$strLocation         =  "Ort";
$strSize             =  "Gr&ouml;&szlig;e";
$strTitle            =  "Seitentitel";
$strDescription      =  "Page description";
$strKeywords         =  "Page keywords";
$strSizeAdd          =  "Gr&ouml;&szlig;e der zus&auml;tzlichen Dateien (Bilder, Sounds, ...)";
$strPageWeight       =  "Gesamtgr&ouml;&szlig;e der Seite inkl. zus&auml;tzlicher Dateien (Caching vorausgesetzt)";
$strRetrievingFlag   =  "URL Status";
$strLinkType         =  "Link typ";
$strLinkResult       =  "Ergebnis";
$strLinkDomain       =  "Link domain";
$strHTMLStatement    =  "HTML Element";
$strHTMLStatementRow =  "zeilennummer des HTML-Elements";
$strHTMLAttribute    =  "HTML Attribut";
$strAnchor           =  "Anker";
$strReferer          =  "Referer-URL (Referenzierende URL)";
$strHopCount         =  "Anzahl der Hops (Anzahl der Klicks von der Startseite)";
$strUnknown          =  "Unbekannt";
$strOther            =  "Other";
$strNull             =  "NULL";

/* Page Management */
$strRecordFound   =  "Anzahl der gefundenen Eintr&auml;ge:";
$strListPageInfo  =  "Eintr&auml;ge No. %s bis %s von %s gefundenen Eintr&auml;gen";
$strNext          =  "N&auml;chste";
$strPrevious      =  "Vorherige";
$strFirst         =  "Erste";
$strLast          =  "Letzte";
$strBack          =  "Zur&uuml;ck";

/* Filters */
$strFilterLinks   =  "Filter f&uuml;r die Liste der Links";
$strLike          =  "gleich";
$strNotLike       =  "nicht gleich";
$strRegExp        =  "RegExp";
$strNotRegExp     =  "Negierte RegExp";
$strGt            =  "gr&ouml;&szlig;er als";
$strLt            =  "kleiner als";

/* List of links page */
$strLinkSubmit    =  "Ausgeben";
$strAllLinks      =  "Alle";
$strOK            =  "OK";
$strNotChecked    =  "Nicht &uuml;berpr&uuml;ft";
$strBroken        =  "Fehlerhafter Link (broken link)";
$strRedirected    =  "Umgeleiteter Link (redirected link)";
$strAnchorNotFound =  "Anker nicht gefunden";
$strNotAuthorized =  "Nicht erlaubt (not authorized)";
$strEMail         =  "E-mail Adresse";
$strJavascript    =  "Javascript URL";
$strBadEncoded    =  "Falsch codierte URL";
$strNormal        =  "Normaler Link";
$strDirect        =  "Direkter Link";
$strRedirection   =  "HTTP Umleitung (HTTP redirection)";
$strSameServer    =  "Same Web server (host:port)";
$strInternal      =  "Internal";
$strExternal      =  "External";
$strHelpOnString  =  "Sie k&ouml;nnen Abfragefilter definieren und diese "
    . "&uuml;ber '\$strLike;' und '\$strNotLike;' verkn&uuml;pfen. "
    . "Erstere liefert alle Resultate die dem angegebenen "
    . "Abfragefilterentsprechen, zweitere all jene Resultate, "
    . "die nicht dem Abfragefilter entsprechen. Sie k&ouml;nnen "
    . "daf&uuml;r 'Wildcard-Zeichen' ('Joker') wie '%' (eine "
    . "beliebige und beliebig lange Zeichenfolge) und '_' (ein "
    . "beliebiges einzelnes Zeichen).";
$strHelpOnRegExp  =  "Wenn Sie die Option '\$strRegExp;' w&auml;hlen, "
    . "k&ouml;nne Sie erweiterte Regular Expression Suchfilter "
    . "verwenden. Es erhalten damit alle jene Datens&auml;tze die "
    . "Ihrer Regular Expression entsprechen. Um alle Datens&auml;tze "
    . "zu erhalten, die nicht Ihrer Regular Expression entsprechen, "
    . "k&ouml;nnen Sie diese mit '\$strNotRegExp;' negieren."; 

/* Show Url page */
$strFilterUrls       =  "Definieren Sie ein Abfragefilter f&uuml;r die Liste der URLs";
$strInfoAvailable    =  "Verf&uuml;gbare Informationen";
$strSizeInfo         =  "Informationen &uuml;ber die Gr&ouml;&szlig;e der Dateien";
$strRetrievingInfo   =  "Informationen &uuml;ber den Empfangsprozess";
$strOutgoingLinks    =  "Informationen &uuml;ber ausgehende Links";
$strIncomingLinks    =  "Informationen &uuml;ber eingehende Links";
$strNotRetrieved     =  "URL nicht geladen";
$strShow             =  "Anzeigen";
$strAllCTypes        =  "Alle";
$strAllCharsets      =  "Alle";
$strAllDocTypes      =  "Alle";
$strAllSCodes        =  "Alle";

/* Show Link page */
$strReferencingUrl   =  "Referenzierender URL (Quell-URL)";
$strReferencedUrl    =  "Ziel-URL";
$strLinkIssued       =  "HTML-Element des Links";
$strOperations       =  "Verf&uuml;gbare weitere Informationen";
$strOpenThisUrl      =  "Diesen URL in einem neuen Browserfenster &ouml;ffnen";
$strShowThisUrlSource   =  "HTML-Quelltext dieser URL anzeigen";
$strOpenReferencingUrl  =  "Referenzierenden URL (Quell-URL) in einem neuen Browserfenster &ouml;ffnen";
$strOpenReferencedUrl   =  "Ziel-URL in einem neuen Browserfenster &ouml;ffnen";

/* Database Drop Page */
$strDBDropSure =  "Sind Sie sicher, dass Sie die gew&auml;hlte "
    . "Datenbank l&ouml;schen wollen? Alle Daten gehen dabei "
    . "unwiederbringlich verloren";
$strDBDrop     =  "Ja, die Datenbank l&ouml;schen";
$strDBCancel   =  "Nein, die Datenbank besser nicht l&ouml;schen";

/* Web structure mining indexes */
$strWSM_Notes = 'Notes';
$strWSM_Indexes = "Indexes of Web Structure Mining";
$strWSM_L = "<strong>L</strong>: links, both ingoing (from different documents) and outgoing for this URL";
$strWSM_D = "<strong>D</strong>: documents, related to this URL by both outgoing and incoming links";
 
$strWSM_OL = "<strong>OL</strong>: outgoing links from this URL to others";
$strWSM_IL = "<strong>IL</strong>: incoming links coming to this URL from different ones";
$strWSM_OD = "<strong>OD</strong>: documents linked to this URL by outgoing links within it";
$strWSM_ID = "<strong>ID</strong>: documents which have links to this URL";
$strWSM_NumOL = "Number of OL";
$strWSM_NumIL = "Number of IL";
$strWSM_NumOD = "Number of OD";
$strWSM_NumID = "Number of ID";
$strWSM_ProOL = "OL/L";
$strWSM_ProIL = "IL/L";
$strWSM_ProOD = "OD/D";
$strWSM_ProID = "ID/D";
$strWSM_RatioL = "OL/IL";
$strWSM_RatioD = "OD/ID";
$strWSM_ExplaL = "Characteristics of links";
$strWSM_ExplaD = "Characteristics of linked  documents";
$strWSM_ExplaIn = "Incoming";
$strWSM_ExplaOut = "Outgoing";
$strWSM_Ratios = "Rapporti";

/* Tidy support */
$strTidyMessages="Diagnose von 'HTML Tidy'";
$strTidyWarnings="Warnungen von 'HTML Tidy'";
$strTidyErrors="Fehlermeldungen von 'HTML Tidy'";
$strTidyHTML="'HTML Tidy' schl&auml;gt den folgenden Quellcode vor";
$strTidyRow="Zeile";
$strTidyColumn="Spalte";
$strErrorNoTidy="Fehler! Das Programm zur &Uuml;berpr&uuml;fung des"
   . " HTML Quellcodes ('HTML Tidy') wurde nicht korrekt konfiguriert."
   . " &Uuml;berpr&uuml;fen Sie die Konfigurationsdatei";
$strErrorNoDirTmp="Fehler! Das tempor&auml;re Verzeichnis von 'HTML"
   . " Tidy' ist ung&uuml;tig. &Uuml;berpr&uuml;fen Sie die Konfigurationsdatei";
$strErrorFileTmp    =  "Fehler! 'HTML Tidy' kann die tempor&auml;ren"
   . " Dateien nicht erstellen. &Uuml;berpr&uuml;fen Sie die Benutzerrechte "
   . " f&uuml;r das tempor&auml;re Verzeichnis von 'HTML Tidy' (Die"
   . " Benutzerrechte m&uuml;ssen jenen des Webservers entsprechen)";

/* Errors */
$strErrorNoDBSelected   =  "Fehler! Es wurde keine Datenbank ausgew&auml;hlt. "
    . "Gehen Sie zur Auswahl zur&uuml;ck.";
$strErrorNoUrlSelected  =  "Fehler Es wurde kein URL ausgew&auml;hlt. "
    . "Gehen Sie zur Auswahl zur&uuml;ck.";
$strErrorMissingInfo    =  "Fehler! Fehlende Angaben. Gehen Sie zur Auswahl zur&uuml;ck.";

?>
